---
search:
  tags:
    - Returns
    - POST
seo:
  description: >-
    Submit return instruction. Reference for the POST
    /v1/organizations/{orgId}/returns/{returnId}/instruction endpoint in the
    Stashtab Vault Warehouse API.
sidebar:
  label: Submit return instruction
  badge: POST
title: Submit return instruction
type: openapi-operation
---
`POST /v1/organizations/{orgId}/returns/{returnId}/instruction`

**Request body** (`application/json`, required)

- `expectedRevision` (integer, required)
- `instruction` (object, required)
- `submissionKey` (string, required)

Request body example:

```json
{
  "expectedRevision": 0,
  "instruction": {
    "choice": "restock"
  },
  "submissionKey": "stringst"
}
```

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": {
    "effects": [
      "string"
    ],
    "operationId": "string",
    "outcome": "confirmed",
    "instruction": {
      "id": "string",
      "revision": -9007199254740991
    }
  },
  "meta": {
    "requestId": "string"
  }
}
```
